@import url(//fonts.googleapis.com/earlyaccess/opensanshebrew.css);
html, body {
    margin: 0;
    padding: 0;
    height: 100%;
    font-family: 'Open Sans Hebrew', sans-serif;
}

.widget-wrapper {
    min-height: 100vh;
}

.forms-widget form {
    max-width: 640px;
    margin: 0 auto;
    box-shadow: 0 0 5px 5px #00000022;
}

.widget-wrapper .forms-widget > h3 {
    box-shadow: 0 0 5px 5px #00000022;
}

.terms {
    padding: 0 10px;
}

.vm--modal .widget-wrapper {
    background: none;
}

.footer a {
    display: inline-block;
    padding: 10px 20px;
    background: #ffffffdd;
    border-radius: 5px;
}

.footer a img {
    vertical-align: top;
    padding-top: 2px;
}

#validation-errors {
    padding: 10px;
    width: 80%;
    border: 1px solid red;
    margin: 0 auto;
    margin-top: 20px;
}

h3.form-title {
    font-size: 150%;
    margin: 10px 0;
}

.ql-direction-rtl {
    direction: rtl;
    text-align: left;
}

.ql-align-center {
    text-align: center;
}

.ql-align-left {
    text-align: left;
}

.ql-align-right {
    text-align: right;
}

.ql-align-justify {
    text-align: right;
}

.acsb-link {
    top: auto !important;
    bottom: 10px;
    z-index: 100;
}

.acsb-list.acsb-act {
    bottom: 50px;
    top: auto !important;
}


@media (max-width: 991.98px) {
    .acsb-link {
        bottom: 30px;
    }

    .acsb-list.acsb-act {
        bottom: 70px;
    }
}

.calendar {
    /*width: 100%;*/
    /*padding: 32px;*/
    box-sizing: border-box;
}

.toolbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 20px;
    gap: 24px;
}

.view-toggle button {
    background: none;
    color: #555;
    font-size: 14px;
    padding: 0 12px;
    font-weight: 400;
    line-height: 24px;
    outline: none;
}

.view-toggle .selected-view {
    background: #0096ff;
    color: #fff;
}

.nav-btns {
    display: flex;
    gap: 12px;
}

.search-container {
    display: flex;
    align-items: center;
    background: #fff;
    border: 1px solid rgba(60, 60, 60, .26);
    padding: 4px 12px;
    border-radius: 4px;
    /*color: #333;*/
}

.search {
    background: none;
    flex: 1;
    border: none;
    outline: none;
    padding: 6px;
    /*color: #333;*/
}

.search-icon {
    width: 20px;
    height: 20px;
    stroke: #666;
}

/*.calendar-button {*/
/*    background: none;*/
/*    cursor: pointer;*/
/*    padding: 0;*/
/*    width: 42px;*/
/*    height: 42px;*/
/*    border-radius: 42px;*/
/*    border: 1px solid #666;*/
/*}*/

/*.calendar-button svg {*/
/*    width: 24px;*/
/*    height: 24px;*/
/*    color: #333;*/
/*}*/

/*.calendar-dropdown {*/
/*    position: absolute;*/
/*    top: 50px;*/
/*    right: 0;*/
/*    z-index: 1000;*/
/*    background-color: white;*/
/*    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);*/
/*    border: 1px solid #e1e1e1;*/
/*    border-radius: 8px;*/
/*    padding: 32px;*/
/*}*/

/*[dir="rtl"] .calendar-dropdown {*/
/*    left: 0;*/
/*    right: auto;*/
/*}*/

/*.next-date, .prev-date {*/
/*    background: none;*/
/*    width: 24px;*/
/*    height: 24px;*/
/*    border: 1px solid #666;*/
/*    border-radius: 24px;*/
/*    padding: 0;*/
/*    display: flex;*/
/*    align-items: center;*/
/*    justify-content: center;*/
/*    cursor: pointer;*/
/*}*/

/*[dir="rtl"] .prev-date {*/
/*    transform: rotate(180deg);*/
/*}*/

/*[dir="rtl"] .next-date {*/
/*    transform: rotate(180deg);*/
/*}*/

/*.next-date svg, .prev-date svg {*/
/*    color: #666;*/
/*    width: 14px;*/
/*    height: 14px;*/
/*}*/

/*.filter {*/
/*    display: flex;*/
/*    gap: 16px;*/
/*    align-items: center;*/
/*    flex-wrap: wrap;*/
/*}*/

.location-filter, .search-container {
    width: 260px;
    box-sizing: border-box;
    /*height: 34px;*/
}

.location-filter .vs__dropdown-toggle {
    /*height: 34px;*/
}
.location-filter .vs__open-indicator{
    width: 16px;
    padding-top: 8px;
}
.location-filter  .vs__actions{
    cursor: pointer;
}
.location-filter  .vs__selected{
    max-width: 190px;
    text-overflow: ellipsis;
    display: flex;
    /*color: #333;*/
    font-size: 14px;
}
.location-filter .vs__deselect{
    flex-shrink: 0;
}
.location-filter .vs__clear{
    width: 10px;
}
.location-filter .vs__search, .location-filter .vs__search:focus{
    /*color: #333;*/
    font-size: 14px;
}

.event-card {
    background-color: white;
    /*border: 1px solid #ddd;*/
    /*border-radius: 8px;*/
    padding: 10px 10px 10px 16px;
    /*box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);*/
    position: relative;
}

.tag {
    /*border-radius: 8px 0 0 8px;*/
    margin-right: 10px;
    position: absolute;
    left: 0;
    top: 0;
    width: 8px;
    height: 100%;
}

[dir="rtl"] .event-card {
    padding: 10px 16px 10px 10px;
}

[dir="rtl"] .tag {
    left: auto;
    right: 0;
    margin-left: 10px;
    margin-right: 0;
}

.course-name {
    font-weight: bold;
    font-size: 14px;
    text-align: left;
    overflow-x: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    text-decoration: none;
}


[dir="rtl"] .course-name {
    text-align: right;
}

.meeting-time {
    font-size: 12px;
    color: #777;
    text-align: left;
}

[dir="rtl"] .meeting-time {
    text-align: right;
}

.bottom-info {
    display: flex;
    justify-content: space-between;
    margin-top: 4px;
    align-items: center;
    gap: 8px;
}

.meeting-info {
    overflow-x: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.meeting-info > div {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    font-size: 12px;
    /*color: #333;*/
}

.meeting-info > div > div {
    display: flex;
    align-items: center;
    gap: 4px;
}

.meeting-info svg {
    flex-shrink: 0;
    width: 16px;
    height: 16px;
}

.meeting-info p {
    text-align: left;
    overflow-x: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    margin: 0;
}

.free-space {
    display: flex;
    align-items: center;
    padding: 3px 8px;
    border-radius: 12px;
    font-size: 10px;
    color: #666;
}

.info-button {
    width: 20px;
    height: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    cursor: pointer;
}

.more-info {
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 4px;
    flex-shrink: 0;
    cursor: pointer;
}

/*@media (max-width: 768px) {*/
/*    .calendar-view > div:not(.day-view) {*/
/*    .bottom-info {*/
/*        flex-direction: column;*/
/*        align-items: flex-start;*/
/*    }*/

/*    .meeting-info div {*/
/*        justify-content: flex-start;*/
/*    }*/
/*}*/
/*}*/

.week-view {
    display: flex;
    flex-direction: column;
    height: 100%;
    border: 1px solid #eeeeee;
}

.week-header {
    display: flex;
    justify-content: space-between;
    border-bottom: 1px solid #eeeeee;
}

.time-label {
    width: 50px;
    padding: 10px 0;
    text-align: center;
    /*color: #333;*/
}

.week-day {
    flex: 1;
    text-align: center;
    font-weight: bold;
    padding: 10px;
    border-left: 1px solid #eeeeee;
    /*color: #333;*/
    transition: .2s;
}

.week-day:hover {
    background: #f5f5f5;
}

.week-day.current-day {
    background: #f7fee7;
}

[dir="rtl"] .week-day {
    border-left: none;
    border-right: 1px solid #eeeeee;
}

.week-grid {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

.time-slot {
    display: flex;
    justify-content: flex-start;
    align-items: stretch;
    border-bottom: 1px solid #eee;
}

.time-slot:last-of-type {
    border-bottom: none;
}

.day-column {
    flex-grow: 1;
    flex-basis: 0;
    min-width: 100px;
    border-left: 1px solid #eee;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    transition: .2s;
}

.day-column:hover {
    background: #f5f5f5;
}

.day-column.current-day {
    background-color: #eff6ff;
}

[dir="rtl"] .day-column {
    border-left: none;
    border-right: 1px solid #eee;
}

.events {
    display: flex;
    flex-direction: column;
    gap: 8px;
    padding: 8px 8px 12px 8px;
}

.event {
    padding: 10px;
    border-radius: 4px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

.no-events {
    text-align: center;
    padding: 20px;
    font-size: 1.2em;
    color: #888;
}

.mini-calendar .month-view {
    display: flex;
    flex-direction: column;
    width: 100%;
    /*color: #333;*/
    gap: 16px;
    padding: 24px;
    box-sizing: border-box;
}

/*.month-nav {*/
/*    display: flex;*/
/*    justify-content: space-between;*/
/*    margin-bottom: 10px;*/
/*    padding: 0 15px;*/
/*    font-size: 1.2rem;*/
/*}*/

/*.month-nav span {*/
/*    margin-top: 3px;*/
/*}*/

/*.month-nav button {*/
/*    padding: 8px;*/
/*    background: none;*/
/*    width: 36px;*/
/*    height: 36px;*/
/*    border-radius: 36px;*/
/*    border: 1px solid #666;*/
/*}*/

/*.month-nav button svg {*/
/*    color: #333;*/
/*}*/

/*[dir="rtl"] .prev-month {*/
/*    transform: rotate(180deg);*/
/*}*/

/*[dir="rtl"] .next-month {*/
/*    transform: rotate(180deg);*/
/*}*/

.mini-calendar .month-header {
    display: flex;
    justify-content: space-around;
    gap: 10px;
    /*color: #333;*/
}

.day-name {
    flex: 1;
    text-align: center;
    font-weight: bold;
    /*color: #333;*/
}

.mini-calendar .month-grid {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    gap: 10px;
    margin-top: 10px;
}

.mini-calendar .day-cell {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background-color: #fff;
    text-align: left;
    width: 32px;
    gap: 8px;
}

.mini-calendar .day-cell:not(.has-events) {
    cursor: not-allowed;
}

.mini-calendar .day-cell:not(.has-events) .day-number {
    color: #a1a1a1;
}

.has-events {
    cursor: pointer;
}

.current-day {
    font-weight: bold;
}

.mini-calendar .current-day::before {
    content: '';
    position: absolute;
    top: -4px;
    left: 50%;
    width: 28px;
    height: 28px;
    background: #f7fee7;
    margin-left: -14px;
    border-radius: 32px;
    z-index: -1;
}

.selected-day::before {
    content: '';
    position: absolute;
    top: -4px;
    left: 50%;
    width: 28px;
    height: 28px;
    background: #deecff;
    margin-left: -14px;
    border-radius: 32px;
    z-index: -1;
}

.day-number {
    font-size: 14px;
    /*color: #333;*/
    text-align: center;
    position: relative;
    z-index: 1;
}

.event-dots {
    display: flex;
    gap: 3px;
    justify-content: center;
    flex-wrap: wrap;
    height: 10px;
}

.event-dot {
    width: 4px;
    height: 4px;
    border-radius: 50%;
}
.day-view {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.day-container {
    border-radius: 4px;
    padding: 10px;
}

.day-header {
    font-weight: bold;
    margin-bottom: 10px;
    /*color: #333;*/
}

.events-list {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.no-events {
    text-align: center;
    color: #888;
    font-style: italic;
}

.day-view {
    display: flex;
    flex-direction: column;
    gap: 36px;
}

.day-header {
    display: inline-block;
    padding: 5px 10px;
    /*background-color: #e0f7ff;*/
    /*color: #00a4e4;*/
    /*border-radius: 12px;*/
    font-weight: bold;
    text-align: center;
    width: -moz-fit-content;
    width: fit-content;
    margin: 0 auto 10px;
}

.day-section {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.month-view {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    outline: 1px solid #eeeeee;
}

.month-view .month-header {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    /*color: #333;*/
}

.month-view .day-name {
    text-align: center;
    font-weight: bold;
    padding: 10px;
    background: #fff;
    outline: 1px solid #eeeeee;
}

.month-view .month-grid{
    display: grid;
    grid-template-columns: repeat(7, minmax(100px, 1fr));
    grid-auto-rows: minmax(100px, auto);
}

.month-view .day-cell {
    display: flex;
    flex-direction: column;
    padding: 8px 8px 12px 8px;
    background-color: #fff;
    position: relative;
    outline: 1px solid #eeeeee;
    gap: 8px;
}

.month-view .current-day {
    background-color: #f7fee7;
}

.month-view .day-number {
    font-size: 16px;
    font-weight: bold;
    text-align: left;
    /*color: #999;*/
}

@media screen and (max-width: 556px){
    .toolbar {
        flex-wrap: wrap;
        justify-content: center;
    }
    .filter{
        justify-content: center;
    }
    .calendar-dropdown{
        margin-left: -175px;
        left: 83px;
        right: auto;
    }
    [dir="rtl"] .calendar-dropdown{
        margin-right: -175px;
        right: 83px;
        left: auto;
    }
}

.loader {
    border: 4px solid rgba(0, 0, 0, 0.1);
    border-left-color: #60a5fa;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 1s linear infinite;
    margin: 20px auto;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.loader-container, .loader-calendar-view, .loader-mini-calendar{
    display: flex;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #fff;
    z-index: 10;
    justify-content: center;
    align-items: center;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.5s ease, visibility 0.5s ease;
}

.loader-container{
    z-index: 99999;
    opacity: 1;
    visibility: visible;
    transition: opacity 0.5s ease, visibility 0.5s ease;
}

.loader-container.not-active{
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.5s ease, visibility 0.5s ease;
}

.loader-mini-calendar{
    background-color: rgba(255, 255, 255, .7);
}
.loader-calendar-view.active, .loader-mini-calendar.active{
    opacity: 1;
    visibility: visible;
}

.fade-enter-active, .fade-leave-active {
    transition: opacity 0.2s ease;
}

.fade-enter, .fade-leave-to {
    opacity: 0;
}

.hs-select .selected .hs-selected{
    display: block !important;
}

.hs-select > div{
    max-width: 100%;
    white-space: nowrap;
}

.is-iframe #header,
.is-iframe #footer > :not(.footer-credits) {
    display: none;
}

.is-iframe #app > div[class*="mt-1"] {
    margin-top: 0;
}

.is-iframe #footer {
    margin-top: auto;
    box-shadow: none;
}

